6.0.0-git
2021-01-24

[#3476] "menu" redirects to wrong location on blackberry 7100
Summary "menu" redirects to wrong location on blackberry 7100
Queue MIMP
Queue Version 1.0-BETA
Type Bug
State Resolved
Priority 1. Low
Owners
Requester srrafa (at) usc (dot) es
Created 2006-02-14 (5458 days ago)
Due
Updated 2006-02-28 (5444 days ago)
Assigned 2006-02-18 (5454 days ago)
Resolved 2006-02-24 (5448 days ago)
Milestone
Patch No

History
2006-02-28 11:32:57 srrafa (at) usc (dot) es Comment #10 Reply to this comment
You deserve all the collaboration we can give. Thanks to all of you 
for your great work.
2006-02-24 21:03:15 Michael Slusarz Comment #9 Reply to this comment
Let me add that I am impressed also.  There should be a link somewhere 
called "The Perfect Bug Report" that leads to this ticket.
2006-02-24 20:38:50 Chuck Hagenbuch Comment #8
State ⇒ Resolved
Reply to this comment
Thanks for sticking with this and tracking it down! I've removed that 
line from CVS, so it'll be fixed for Horde 3.1.
2006-02-24 17:49:40 srrafa (at) usc (dot) es Comment #7 Reply to this comment


... but finally it make some sense. The problem can be solved by 
commenting out this line at:



lib/Horde/Mobile/Renderer/wml.php



// Tricks to foil caching.

header('Content-location: ' . md5(date('U')));


2006-02-24 17:41:27 srrafa (at) usc (dot) es Comment #6 Reply to this comment


This is exactly the URL that the browser of the handheld tries to get:



http:/server_url/horde3/mimp/b83518d5a1d05ae248f34435c9216ff8#o



i.e., the content-location header plus a reference to the card id that 
contains the menu.



I have no idea on how the contant-location header must be handled. 
Maybe anything of this make sense to you.
2006-02-24 17:10:47 srrafa (at) usc (dot) es Comment #5
New Attachment: tcpdump_mimp.txt Download
Reply to this comment
Attached is a tcpdump capture of the data coming from the web server before

enters the BlackBerry Enterprise Sever



The number an the end of the wrong link called from "menu" is the 
content of one of the HTTP headers:



Content-location: 9ab82c0301e3ed1656084b1495699d13



For me, it seems that this is not a MIMP/Horde  problem.  Maybe the 
handheld browser  or the BES are failing to parse the page



Also, when using https URLs, the problem can be reproduced with the 
first click on "menu". When using http URLs it does not fail the first 
time :-?






2006-02-23 13:47:55 srrafa (at) usc (dot) es Comment #4 Reply to this comment
I have the emulator working.  I can reproduce the error with it, but I 
still have problems to obtain the source code of the page
2006-02-23 11:44:54 srrafa (at) usc (dot) es Comment #3 Reply to this comment
I have installed a 7100v emulator but I'm having some problems to make 
it work with the MDS emulator.



I'll keep you informed of any progress.
2006-02-18 15:56:54 Chuck Hagenbuch Comment #2
State ⇒ Feedback
Reply to this comment
I'll try to obtain the source code generated from mailbox.php. It's
not possible from the handset. I guess I have to install de emulator
from the SDK
Any luck with this? I can't reproduce it with my palm or with a 
regular browser.
2006-02-14 13:51:32 srrafa (at) usc (dot) es Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ "menu" redirects to wrong location on blackberry 7100
Queue ⇒ MIMP
Reply to this comment
After selecing "Menu" on



https://.../horde3/mimp/mailbox.php?mailbox=INBOX



I get a "page not found" error because the browser is redirected to



/horde3/mimp/180cc03791aedbd93fd7d5a33513bde5



I'll try to obtain the source code generated from mailbox.php. It's 
not possible from the handset. I guess I have to install de emulator 
from the SDK


Saved Queries